/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.modules.jeo.gen;

import com.queplix.core.modules.jeo.JEObject;

public interface ScriptParametersObject extends JEObject {

    Long getScript_param_id();

    Integer getScript_id();

    String getScript_param_name();

    Integer getScript_param_type_id();

    Integer getRequired();

    String getDef_value();

    String getScript_param_description();

    void setScript_id(Integer i);

    void setScript_param_name(String s);

    void setScript_param_type_id(Integer i);

    void setRequired(Integer i);

    void setDef_value(String s);

    void setScript_param_description(String s);
}
